package org.jdtaus.core.io.util;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class ReadAheadFileOperationsBundle{ 

/** <pre> Instance is closed - cannot perform I/O.</pre>. */
public static String getAlreadyClosedText(final Locale locale) {
    return getMessage("alreadyClosed", locale);
}

/** <pre> Instance is closed - cannot perform I/O.</pre>. */
public static MessageFormat getAlreadyClosedMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("alreadyClosed", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.io.util.ReadAheadFileOperations", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
