package org.jdtaus.core.monitor.util;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class SwingProgressMonitorBundle{ 

/** <pre> A task event of unknown type {0} was ignored.</pre>. */
public static String getUnknownEventTypeText(final Locale locale) {
    return getMessage("unknownEventType", locale);
}

/** <pre> A task event of unknown type {0} was ignored.</pre>. */
public static MessageFormat getUnknownEventTypeMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("unknownEventType", locale), locale);
}

/** <pre> A task with description {0} already has been started at {1,time,long}.</pre>. */
public static String getTaskAlreadyStartedText(final Locale locale) {
    return getMessage("taskAlreadyStarted", locale);
}

/** <pre> A task with description {0} already has been started at {1,time,long}.</pre>. */
public static MessageFormat getTaskAlreadyStartedMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("taskAlreadyStarted", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.monitor.util.SwingProgressMonitor", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
