package org.jdtaus.core.monitor.util;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class TaskDurationLoggerBundle{ 

/** <pre> Taskinformation:
	Description: {0}
	Start: {1,date,long} at {1,time,long}
	End: {2,date,long} at {2,time,long}
	Duration: {3}ms</pre>. */
public static String getDurationInfoText(final Locale locale) {
    return getMessage("durationInfo", locale);
}

/** <pre> Taskinformation:
	Description: {0}
	Start: {1,date,long} at {1,time,long}
	End: {2,date,long} at {2,time,long}
	Duration: {3}ms</pre>. */
public static MessageFormat getDurationInfoMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("durationInfo", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.monitor.util.TaskDurationLogger", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
