package org.jdtaus.core.text.util;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class MessageLoggerBundle{ 

/** <pre> A message event of unknown type {0} was ignored.</pre>. */
public static String getUnknownMessageTypeText(final Locale locale) {
    return getMessage("unknownMessageType", locale);
}

/** <pre> A message event of unknown type {0} was ignored.</pre>. */
public static MessageFormat getUnknownMessageTypeMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("unknownMessageType", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.text.util.MessageLogger", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
