package org.jdtaus.core.text.util;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class SwingMessagePaneBundle{ 

/** <pre> A message event of unknown type {0} was ignored.</pre>. */
public static String getUnknownMessageTypeText(final Locale locale) {
    return getMessage("unknownMessageType", locale);
}

/** <pre> A message event of unknown type {0} was ignored.</pre>. */
public static MessageFormat getUnknownMessageTypeMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("unknownMessageType", locale), locale);
}

/** <pre> Warning</pre>. */
public static String getWarningText(final Locale locale) {
    return getMessage("warning", locale);
}

/** <pre> Warning</pre>. */
public static MessageFormat getWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("warning", locale), locale);
}

/** <pre> Information</pre>. */
public static String getInformationText(final Locale locale) {
    return getMessage("information", locale);
}

/** <pre> Information</pre>. */
public static MessageFormat getInformationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("information", locale), locale);
}

/** <pre> Notification</pre>. */
public static String getNotificationText(final Locale locale) {
    return getMessage("notification", locale);
}

/** <pre> Notification</pre>. */
public static MessageFormat getNotificationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("notification", locale), locale);
}

/** <pre> Error</pre>. */
public static String getErrorText(final Locale locale) {
    return getMessage("error", locale);
}

/** <pre> Error</pre>. */
public static MessageFormat getErrorMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("error", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.text.util.SwingMessagePane", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
